YAFLogo

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
4 months ago
I did a MODULE Extension upgrade to 3.13.61 from 3.12.6105 - there were errors in usage, so I had to revert back to the older versions.

Some things that do not work in 3.13, but they did in 3.12.6105

  • Clicking "New Topic" for normal users gives an empty page (there is the DNN header and Footer, but no content)

  • On "Edit Message" for normal users, the message area is not editable. The editor that appears is different than the CKeditor. (Some lightweight version, but editing is still not possible; however NEW message works OK).

  • Deleting a message for normal users is impossible, it says "No permissions for this action".

Is there a way to do a clean install of 3.13.61 Module, and then importing old SQL data from a previous version?

Sponsor

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
4 months ago
I updated the release 

https://github.com/YAFNET/YAFNET-DNN/releases/tag/v3.1.3-6107 

This should resolve the first and last issue. I cannot reproduce the issue with the edit message. Its possible that you need to clear the browser cache. Otherwise check the browser console if there are any javascript issues.

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
4 months ago
(This is all for DNN MODULE)

I tried doing REPLY Message, and then only the message area was visible. In Admin mode, it was editable. In normal user mode, it was not editable. There were 2 errors visible, POPPER.JS (what is this anyway?) and CKEDITOR. 

------------------  EDGE INSPECT OUTPUT, for "Reply" with normal user privileges ---------------------

Failed to load resource: the server responded with a status of 500 (Internal Server Error) bootstrap-forum.min.css:1 (this one appeared twice)

Failed to load resource: the server responded with a status of 500 (Internal Server Error)  js:6 

    Uncaught TypeError: Bootstrap's tooltips require Popper.js (https://popper.js.org/)

    at new i (js:6:38521)

    at jquery.ForumExtensionsDnn.min.js?v=1:1:523131

    at Array.map ()

    at HTMLDocument. (jquery.ForumExtensionsDnn.min.js?v=1:1:523108)

/DesktopModules/YetAnotherForumDotNet/Scripts/ckeditor/plugins/textselection/plugin.js?t=LAHF:1 

        

Failed to load resource: the server responded with a status of 500 (Internal Server Error)  ckeditor.js:266        

    Uncaught Error: [CKEDITOR.resourceManager.load] Resource name "textselection" was not found at "https://hyde-park.si/DesktopModules/YetAnotherForumDotNet/Scripts/ckeditor/plugins/textselection/plugin.js?t=LAHF".

    at CKEDITOR.resourceManager. (ckeditor.js:266:33)

    at y (ckeditor.js:261:193)

    at Array.z (ckeditor.js:261:336)

    at x (ckeditor.js:261:420)

    at HTMLScriptElement.E.CKEDITOR.env.ie.f.$.onerror (ckeditor.js:262:429)

 

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
4 months ago
Quote:

Failed to load resource: the server responded with a status of 500 (Internal Server Error) bootstrap-forum.min.css:1 (this one appeared twice)

It looks like the DesktopModules/YetAnotherForumDotNet/Content/Themes/base/bootstrap-forum.min.css in that folder does not exist. base is not a theme that exist in the list of existing folders.

The easist solution you delete the base folder, then the standard yaf theme is loaded. Or you select a different theme in the Admin > Board Settings  

 

Quote:

Uncaught Error: [CKEDITOR.resourceManager.load] Resource name "textselection" was not found at "https://hyde-park.si/DesktopModules/YetAnotherForumDotNet/Scripts/ckeditor/plugins/textselection/plugin.js?t=LAHF".

I checked the site and the file exist. again its possbile that you need to clear the Browser Cache. Or Reload the page via CTRL+F5

Quote:

Failed to load resource: the server responded with a status of 500 (Internal Server Error)  js:6 

    Uncaught TypeError: Bootstrap's tooltips require Popper.js (https://popper.js.org/)

    at new i (js:6:38521)

    at jquery.ForumExtensionsDnn.min.js?v=1:1:523131

    at Array.map ()

    at HTMLDocument. (jquery.ForumExtensionsDnn.min.js?v=1:1:523108)

The YAF dnn module does not load the bootstrap js libary by default. to avoid conflicts with the website. You would need to alter the Dnn Skin you use on your site and add the skinobject that loads the libary

To do that, you need to register the skin object at the top of your skin:

<%@ Register TagPrefix="dnn" TagName="JavaScriptLibraryInclude" Src="~/admin/Skins/JavaScriptLibraryInclude.ascx" %>

Then, in the body of the skin, use the skin object to request the library:

<dnn:JavaScriptLibraryInclude runat="server" Name="bootstrap-bundle" />
OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
4 months ago
I will go thru this carefully now. 👍
OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
4 months ago
MORE INFO: 

I successfully cleaned up all those versioning errors, which are NOT due to YAF, but because of DNN (and associated skin which I use). I will report back on any (if any) YAF errors, when I clean up the skin, which was causing the problems in version 05 and 07.

So to reiterate: the editor works properly, including the emoticons in the editor.

THANX FOR THE GREAT SUPPORT! 👍